Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.service
Class TaskAuditServiceImpl

    java.lang.Object
      org.jbpm.services.task.audit.service.TaskAuditServiceImpl

All Implemented Interfaces:
  TaskAuditService

    public class TaskAuditServiceImpl

extends Object
implements TaskAuditService

Constructor Summary
`TaskAuditServiceImpl()`

Method Summary
`List<AuditTask>` | `getAllAuditTasks(org.kie.internal.query.QueryFilter filter)`
`List<AuditTask>` | `getAllAuditTasksByUser(String userId, org.kie.internal.query.QueryFilter filter)`
`List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEvents(long taskId, org.kie.internal.query.QueryFilter filter)`
`List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEventsByProcessInstanceId(long processInstanceId, org.kie.internal.query.QueryFilter filter)`
`void` | `setTaskService(TaskService taskService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskAuditServiceImpl

    public TaskAuditServiceImpl()

Method Detail

### getAllTaskEvents

    public List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEvents(long taskId,
                                                                            org.kie.internal.query.QueryFilter filter)

  Specified by:
    `getAllTaskEvents` in interface `TaskAuditService`

### getAllTaskEventsByProcessInstanceId

    public List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEventsByProcessInstanceId(long processInstanceId,
                                                                                               org.kie.internal.query.QueryFilter filter)

  Specified by:
    `getAllTaskEventsByProcessInstanceId` in interface `TaskAuditService`

### getAllAuditTasks

    public List<AuditTask> getAllAuditTasks(org.kie.internal.query.QueryFilter filter)

  Specified by:
    `getAllAuditTasks` in interface `TaskAuditService`

### getAllAuditTasksByUser

    public List<AuditTask> getAllAuditTasksByUser(String userId,
                                                  org.kie.internal.query.QueryFilter filter)

  Specified by:
    `getAllAuditTasksByUser` in interface `TaskAuditService`

### setTaskService

    public void setTaskService(TaskService taskService)

  Specified by:
    `setTaskService` in interface `TaskAuditService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.